<?php


namespace App\ViewModels\Perfil\PerfilListingViewModel;


use App\Utils\Builder;

class PerfilListingViewModelBuilder implements Builder
{
    protected $perfil_id;
    protected $perfil_nome;

    /**
     * @param mixed $perfil_id
     * @return PerfilListingViewModelBuilder
     */
    public function setPerfilId($perfil_id)
    {
        $this->perfil_id = $perfil_id;
        return $this;
    }

    /**
     * @param mixed $perfil_nome
     * @return PerfilListingViewModelBuilder
     */
    public function setPerfilNome($perfil_nome)
    {
        $this->perfil_nome = $perfil_nome;
        return $this;
    }

    public function build() : PerfilListingViewModel
    {
        $assistente_details_vm = new PerfilListingViewModel();
        $assistente_details_vm->setPerfilId($this->perfil_id);
        $assistente_details_vm->setPerfilNome($this->perfil_nome);
        return $assistente_details_vm;
    }
}